> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload transaction document

> Upload a document for a transaction, such as a receipt or invoice. Images (`jpg` & `png`) and PDFs are supported. The document will be associated with the provided transaction id. This functionality is built into Layer's `<BankTransactions>` embedded component, but can be used directly if needed. This endpoint expects a multipart upload.



## OpenAPI

````yaml post /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/bank-transactions/{transactionId}/documents:
    post:
      tags: []
      summary: Upload transaction document
      description: >-
        Upload a document for a transaction, such as a receipt or invoice.
        Images (`jpg` & `png`) and PDFs are supported. The document will be
        associated with the provided transaction id. This functionality is built
        into Layer's `<BankTransactions>` embedded component, but can be used
        directly if needed. This endpoint expects a multipart upload.
      operationId: business.documents.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to upload the document for
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          description: The UUID of the transaction to associate this document with
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to multipart/form-data
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                type:
                  type: string
                  description: >-
                    The type of document. Supported types are `jpg`, `png`, and
                    `pdf`.
                  example: jpg
                file:
                  type: string
                  format: binary
                  description: The document file.
                name:
                  type: string
                  description: The name of the document.
                  example: exampleFile.jpg
      responses:
        '200':
          description: ''
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiFileMetadata'
        '400':
          description: >-
            Document type is invalid or cannot be detected. Supported types are
            `jpg`, `png`, and `pdf`. Document may also be invalid if it is
            missing type, file body, or file name.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: >-
            Business id is not found. This indicates the business id is invalid
            or the business has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiFileMetadata:
      type: object
      properties:
        id:
          type: string
          format: uuid
          nullable: true
          description: >-
            Optional unique identifier for the file, can be null if not
            specified.
        fileType:
          type: string
          description: The type of the file (e.g., PDF, DOCX, JPEG).
          example: JPEG
        filename:
          type: string
          description: The name of the file including its extension.
          example: exampleFile.jpg
        documentType:
          $ref: '#/components/schemas/DocumentType'
          description: The type of document.
      required:
        - fileType
        - filename
        - documentType
      description: >-
        Contains metadata about a file, including its type, name, and the
        category of document it represents.
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
    DocumentType:
      type: string
      enum:
        - RECEIPT
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````